Bug 550598 - Review Request: themonospot-plugin-mkv - manage Matroska container
Summary: Review Request: themonospot-plugin-mkv - manage Matroska container
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: http://www.integrazioneweb.com/themon...
Whiteboard:
Depends On: 550594
Blocks: 550519
TreeView+ depends on / blocked
 
Reported: 2009-12-26 09:03 UTC by Armando Basile
Modified: 2010-01-11 14:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-11 14:56:27 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Armando Basile 2009-12-26 09:03:28 UTC
SPEC URL: http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-plugin-mkv.spec
SRPM URL: http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-plugin-mkv-0.1.0-1.fc12.src.rpm

Description: It install:
    - themonospot-plugin-mkv mono assembly (use from themonospot-base)

Comment 1 Armando Basile 2009-12-29 12:45:48 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-plugin-mkv.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-plugin-mkv-0.1.0-2.fc12.src.rpm

changes:
- added BuildRequires: themonospot-base-devel
- removed min. release req. for mono-core and themonospot-base
- added copying.gpl

Comment 2 Mamoru TASAKA 2009-12-29 17:09:24 UTC
First of all, as far as I read Fedora guidelines related to Mono,
this package contradicts with it.

https://fedoraproject.org/wiki/Packaging/Mono
====
#  Assembly: An assembly is the EXE or DLL file created by compiling a mono application. These are not the same as EXE's or DLL's created by compiling a C or C++ program on Windows. An assembly contains CIL code rather than machine code.

Mono packages should install assemblies to %{_libdir} rather than /usr/lib or %{_datadir}. In most cases the preference is for %{_libdir}/PACKAGENAME. We use %{_libdir} because we do not consider mono packages to be noarch. 
====
Also it seems that this package installs pre-compiled .dll file
shipped in the tarball.

Comment 3 Armando Basile 2009-12-30 15:30:38 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-plugin-mkv.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-plugin-mkv-0.1.1-1.fc12.src.rpm

changes:
- added copying.gpl
- folder moved to %{_libdir}/themonospot/plugins/%{name}

Comment 6 Mamoru TASAKA 2010-01-01 17:09:47 UTC
Now
- this package is correctly built from source
- install directory proper
- other things okay

-------------------------------------------------------------------
    This package (themonospot-plugin-mkv) is APPROVED by mtasaka
-------------------------------------------------------------------

Comment 7 Armando Basile 2010-01-01 17:57:35 UTC
New Package CVS Request
=======================
Package Name: themonospot-plugin-mkv
Short Description: Matroska plugin for Themonospot suite
Owners: hman
Branches: F-11 F-12
InitialCC: mtasaka@ioa.s.u-tokyo.ac.jp
Cvsextras Commits: yes

Comment 8 Armando Basile 2010-01-02 21:00:05 UTC
New Package CVS Request
=======================
Package Name: themonospot-plugin-mkv
Short Description: Matroska plugin for Themonospot suite
Owners: hman-it
Branches: F-11 F-12
InitialCC: mtasaka
Cvsextras Commits: yes

Comment 9 Kevin Fenzi 2010-01-04 20:21:05 UTC
cvs done.

Comment 10 Mamoru TASAKA 2010-01-11 14:56:27 UTC
Closing.


Note You need to log in before you can comment on or make changes to this bug.